Bug 1119702 - After host restart, storage domain not mounted automatically
Summary: After host restart, storage domain not mounted automatically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-ha
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.4.2
Assignee: Jiri Moskovcak
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On: 1093621
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:17 UTC by rhev-integ
Modified: 2016-02-10 20:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, ovirt-ha-agent did not always wait long enough before attempting to connect to storage, which would result in a failure to connect. Now, the wait time is configurable so that the agent will wait long enough, and will retry if necessary, to successfully connect to storage.
Clone Of: 1093621
Environment:
Last Closed: 2014-09-04 12:47:35 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1155 normal SHIPPED_LIVE ovirt-hosted-engine-ha bug fix and enhancement update 2014-09-04 16:47:05 UTC
oVirt gerrit 29862 master MERGED try harder when connecting the storage Never
oVirt gerrit 29921 ovirt-hosted-engine-ha-1.2 MERGED try harder when connecting the storage Never
oVirt gerrit 29924 ovirt-hosted-engine-ha-1.1 MERGED try harder when connecting the storage Never

Comment 2 Artyom 2014-08-17 16:05:34 UTC
Verified on ovirt-hosted-engine-ha-1.1.5-1.el6ev.noarch

Comment 4 Jiri Moskovcak 2014-09-01 08:20:54 UTC
Cause: agent doesn't wait long enough for vdsm to become available
Consequence: agent fails to connect the storage
Fix: wait longer and retry a few times (this is configurable in case some systems needs a different grace time)
Result: agent waits long enough and the storage is successfully connected

Comment 6 errata-xmlrpc 2014-09-04 12:47:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1155.html


Note You need to log in before you can comment on or make changes to this bug.